# DropDownLabel | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class DropDownLabel

- Defined in src/ui/dropdown.ts:38

##### Index

### Constructors

constructor

### Properties

sprite?
state
text

## Constructors

### constructor

- new DropDownLabel(
  label: string,
  sprite?: Sprite,
  state?: DropDownState ,
  ): DropDownLabel

  #### Parameters

  - label: string
  - `Optional` sprite: Sprite
  - state: DropDownState = DropDownState.OFF

  #### Returns DropDownLabel

  - Defined in src/ui/dropdown.ts:43

## Properties

### `Optional` sprite

sprite?: Sprite

- Defined in src/ui/dropdown.ts:41

### state

state: DropDownState

- Defined in src/ui/dropdown.ts:39

### text

text: string

- Defined in src/ui/dropdown.ts:40